<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>CompareGradleBuilds (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CompareGradleBuilds (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuildsPlugin.html" title="class in org.gradle.api.plugins.buildcomparison.gradle"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html" target="_top">Frames</a></li>
<li><a href="CompareGradleBuilds.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins.buildcomparison.gradle</div>
<h2 title="Class CompareGradleBuilds" class="title">Class CompareGradleBuilds</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.buildcomparison.gradle.CompareGradleBuilds</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../../../org/gradle/api/tasks/VerificationTask.html" title="interface in org.gradle.api.tasks">VerificationTask</a>, org.gradle.util.Configurable&lt;<a href="../../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">CompareGradleBuilds</span>
extends <a href="../../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">DefaultTask</a>
implements <a href="../../../../../../org/gradle/api/tasks/VerificationTask.html" title="interface in org.gradle.api.tasks">VerificationTask</a></pre>
<div class="block">Executes two Gradle builds (that can be the same build) with specified versions and compares the outcomes.

 Please see the “Comparing Builds” chapter of the Gradle User Guide for more information.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#DEFAULT_TASKS">DEFAULT_TASKS</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#CompareGradleBuilds()">CompareGradleBuilds</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.internal.file.PathToFileResolver</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#getFileResolver()">getFileResolver</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#getIgnoreFailures()">getIgnoreFailures</a></strong>()</code>
<div class="block">Whether a comparison between non identical builds will fail the task execution.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model">ObjectFactory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#getObjectFactory()">getObjectFactory</a></strong>()</code>
<div class="block">Injects and returns an instance of <a href="../../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model"><code>ObjectFactory</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.internal.logging.progress.ProgressLoggerFactory</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#getProgressLoggerFactory()">getProgressLoggerFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#getReportDir()">getReportDir</a></strong>()</code>
<div class="block">The directory that will contain the HTML comparison report and any other report files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/GradleBuildInvocationSpec.html" title="interface in org.gradle.api.plugins.buildcomparison.gradle">GradleBuildInvocationSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#getSourceBuild()">getSourceBuild</a></strong>()</code>
<div class="block">The specification of how to invoke the source build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/GradleBuildInvocationSpec.html" title="interface in org.gradle.api.plugins.buildcomparison.gradle">GradleBuildInvocationSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#getTargetBuild()">getTargetBuild</a></strong>()</code>
<div class="block">The specification of how to invoke the target build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#setIgnoreFailures(boolean)">setIgnoreFailures</a></strong>(boolean&nbsp;ignoreFailures)</code>
<div class="block">Sets whether a comparison between non identical builds will fail the task execution.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#setReportDir(java.io.File)">setReportDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;reportDir)</code>
<div class="block">Sets the directory that will contain the HTML comparison report and any other report files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#setReportDir(java.lang.Object)">setReportDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;reportDir)</code>
<div class="block">Sets the directory that will contain the HTML comparison report and any other report files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#sourceBuild(org.gradle.api.Action)">sourceBuild</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/GradleBuildInvocationSpec.html" title="interface in org.gradle.api.plugins.buildcomparison.gradle">GradleBuildInvocationSpec</a>&gt;&nbsp;config)</code>
<div class="block">Configures the source build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html#targetBuild(org.gradle.api.Action)">targetBuild</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/GradleBuildInvocationSpec.html" title="interface in org.gradle.api.plugins.buildcomparison.gradle">GradleBuildInvocationSpec</a>&gt;&nbsp;config)</code>
<div class="block">Configures the target build.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_TASKS">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_TASKS</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; DEFAULT_TASKS</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CompareGradleBuilds()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CompareGradleBuilds</h4>
<pre>public&nbsp;CompareGradleBuilds()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFileResolver()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileResolver</h4>
<pre>@Inject
protected&nbsp;org.gradle.internal.file.PathToFileResolver&nbsp;getFileResolver()</pre>
</li>
</ul>
<a name="getProgressLoggerFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProgressLoggerFactory</h4>
<pre>@Inject
protected&nbsp;org.gradle.internal.logging.progress.ProgressLoggerFactory&nbsp;getProgressLoggerFactory()</pre>
</li>
</ul>
<a name="getObjectFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectFactory</h4>
<pre>@Inject
protected&nbsp;<a href="../../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model">ObjectFactory</a>&nbsp;getObjectFactory()</pre>
<div class="block">Injects and returns an instance of <a href="../../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model"><code>ObjectFactory</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="getSourceBuild()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceBuild</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/GradleBuildInvocationSpec.html" title="interface in org.gradle.api.plugins.buildcomparison.gradle">GradleBuildInvocationSpec</a>&nbsp;getSourceBuild()</pre>
<div class="block">The specification of how to invoke the source build.

 Defaults to <a href="../../../../../../org/gradle/api/Project.html#getRootDir()"><code>project.rootDir</code></a> with the current Gradle version
 and the tasks “clean assemble”.

 The <code>projectDir</code> must be the project directory of the root project if this is a multi project build.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The specification of how to invoke the source build.</dd></dl>
</li>
</ul>
<a name="sourceBuild(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sourceBuild</h4>
<pre>public&nbsp;void&nbsp;sourceBuild(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/GradleBuildInvocationSpec.html" title="interface in org.gradle.api.plugins.buildcomparison.gradle">GradleBuildInvocationSpec</a>&gt;&nbsp;config)</pre>
<div class="block">Configures the source build.

 A Groovy closure can be used as the action.
 <pre>
 sourceBuild {
   gradleVersion = "1.1"
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>config</code> - The configuration action.</dd></dl>
</li>
</ul>
<a name="getTargetBuild()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetBuild</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/GradleBuildInvocationSpec.html" title="interface in org.gradle.api.plugins.buildcomparison.gradle">GradleBuildInvocationSpec</a>&nbsp;getTargetBuild()</pre>
<div class="block">The specification of how to invoke the target build.

 Defaults to <a href="../../../../../../org/gradle/api/Project.html#getRootDir()"><code>project.rootDir</code></a> with the current Gradle version
 and the tasks “clean assemble”.

 The <code>projectDir</code> must be the project directory of the root project if this is a multi project build.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The specification of how to invoke the target build.</dd></dl>
</li>
</ul>
<a name="targetBuild(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>targetBuild</h4>
<pre>public&nbsp;void&nbsp;targetBuild(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/GradleBuildInvocationSpec.html" title="interface in org.gradle.api.plugins.buildcomparison.gradle">GradleBuildInvocationSpec</a>&gt;&nbsp;config)</pre>
<div class="block">Configures the target build.

 A Groovy closure can be used as the action.
 <pre>
 targetBuild {
   gradleVersion = "1.1"
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>config</code> - The configuration action.</dd></dl>
</li>
</ul>
<a name="getIgnoreFailures()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIgnoreFailures</h4>
<pre><a href="../../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;getIgnoreFailures()</pre>
<div class="block">Whether a comparison between non identical builds will fail the task execution.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../org/gradle/api/tasks/VerificationTask.html#getIgnoreFailures()">getIgnoreFailures</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/gradle/api/tasks/VerificationTask.html" title="interface in org.gradle.api.tasks">VerificationTask</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>True if a comparison between non identical builds will fail the task execution, otherwise false.</dd></dl>
</li>
</ul>
<a name="setIgnoreFailures(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIgnoreFailures</h4>
<pre>public&nbsp;void&nbsp;setIgnoreFailures(boolean&nbsp;ignoreFailures)</pre>
<div class="block">Sets whether a comparison between non identical builds will fail the task execution.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../org/gradle/api/tasks/VerificationTask.html#setIgnoreFailures(boolean)">setIgnoreFailures</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/gradle/api/tasks/VerificationTask.html" title="interface in org.gradle.api.tasks">VerificationTask</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>ignoreFailures</code> - false to fail the task on non identical builds, true to not fail the task. The default is false.</dd></dl>
</li>
</ul>
<a name="getReportDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReportDir</h4>
<pre><a href="../../../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getReportDir()</pre>
<div class="block">The directory that will contain the HTML comparison report and any other report files.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The directory that will contain the HTML comparison report and any other report files.</dd></dl>
</li>
</ul>
<a name="setReportDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReportDir</h4>
<pre>public&nbsp;void&nbsp;setReportDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;reportDir)</pre>
<div class="block">Sets the directory that will contain the HTML comparison report and any other report files.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>reportDir</code> - The directory that will contain the HTML comparison report and any other report files.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setReportDir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setReportDir</h4>
<pre>public&nbsp;void&nbsp;setReportDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;reportDir)</pre>
<div class="block">Sets the directory that will contain the HTML comparison report and any other report files.

 The value will be evaluated by <a href="../../../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>project.file()</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>reportDir</code> - The directory that will contain the HTML comparison report and any other report files.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../../org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuildsPlugin.html" title="class in org.gradle.api.plugins.buildcomparison.gradle"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/api/plugins/buildcomparison/gradle/CompareGradleBuilds.html" target="_top">Frames</a></li>
<li><a href="CompareGradleBuilds.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
